%global realname webmachine
%global debug_package %{nil}
%global git_tag 15d815e


Name:		erlang-%{realname}
Version:	1.8.0
Release:	4%{?dist}
Summary:	A REST-based system for building web applications
Group:		Development/Languages
License:	ASL 2.0
URL:		http://webmachine.basho.com/
# wget --no-check-certificate http://github.com/basho/webmachine/tarball/webmachine-1.8.0
Source0:	basho-webmachine-%{realname}-%{version}-0-g%{git_tag}.tar.gz
Patch1:		erlang-webmachine-0001-Do-not-check-for-deps-Fedora-specific.patch
Patch2:		erlang-webmachine-0002-Drop-unused-include-to-shorten-dependency-chain.patch
Patch3:		erlang-webmachine-0003-Report-proper-version-1.7.3-1.8.0.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	erlang-erts
BuildRequires:	erlang-mochiweb
BuildRequires:	erlang-rebar
Requires:	erlang-crypto
Requires:	erlang-erts >= R12B-5
Requires:	erlang-eunit
Requires:	erlang-inets
Requires:	erlang-kernel
Requires:	erlang-mochiweb
Requires:	erlang-ssl
Requires:	erlang-stdlib >= R12B-5


%description
A REST-based system for building web applications.


%prep
%setup -q -n basho-%{realname}-%{git_tag}
chmod 644 src/wmtrace_resource.erl
%patch1 -p1
%patch2 -p1
%patch3 -p1
chmod -x demo/start.sh
chmod -x priv/trace/wmtrace.css
chmod -x priv/trace/wmtrace.js
chmod -x www/css/style.css
chmod -x www/index.html

chmod +x priv/templates/start.sh


%build
rebar compile
make edoc
rm -f docs/edoc-info


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/%{realname}_sup.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/wmtrace_resource.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 ebin/wrq.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
cp -r priv $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}
cp -r www $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar skip_deps=true eunit


%files
%defattr(-,root,root,-)
%doc demo doc docs/http-headers-status-v3.png LICENSE THANKS
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/www
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/*
%{_libdir}/erlang/lib/%{realname}-%{version}/www/*


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.8.0-2
- Cosmetic

* Mon Jan 10 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.8.0-1
- Ver. 1.8.0

* Sat Oct 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.7.3-1
- Initial build

